## libffado 2.4.1

=== SConstruct ===
# -*- coding: utf-8 -*-
#
# Copyright (C) 2007, 2008, 2010 Arnold Krille
# Copyright (C) 2007, 2008 Pieter Palmers
# Copyright (C) 2008, 2012 Jonathan Woithe
#
# This file is part of FFADO
# FFADO = Free Firewire (pro-)audio drivers for linux
#
# FFADO is based upon FreeBoB.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) version 3 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
from __future__ import print_function

FFADO_API_VERSION = "9"
FFADO_VERSION="2.4.1"

from subprocess import Popen, PIPE, check_output
import os
import re
import sys
from string import Template
import distutils.sysconfig

if not os.path.isdir( "cache" ):
    os.makedirs( "cache" )

opts = Variables( "cache/options.cache" )

opts.AddVariables(
    BoolVariable( "DEBUG", """\
Build with \"-g -Wall\" rather than \"-O2\", and include extra debugging
checks in the code.""", True ),
    BoolVariable( "DEBUG_MESSAGES", "Enable support for debug messages", True ),
    BoolVariable( "PROFILE", "Build with symbols, warnings and other profiling info", False ),
    PathVariable( "PREFIX", "The prefix where ffado will be installed to.", "/usr/local", PathVariable.PathAccept ),
    PathVariable( "BINDIR", "Overwrite the directory where apps are installed to.", "$PREFIX/bin", PathVariable.PathAccept ),
    PathVariable( "LIBDIR", "Overwrite the directory where libs are installed to.", "$PREFIX/lib", PathVariable.PathAccept ),
    PathVariable( "INCLUDEDIR", "Overwrite the directory where headers are installed to.", "$PREFIX/include", PathVariable.PathAccept ),
    PathVariable( "SHAREDIR", "Overwrite the directory where misc shared files are installed to.", "$PREFIX/share/libffado", PathVariable.PathAccept ),
    PathVariable( "LIBDATADIR", "Location for architecture-dependent data.", "$LIBDIR/libffado", PathVariable.PathAccept ),
    PathVariable( "MANDIR", "Overwrite the directory where manpages are installed", "$PREFIX/man", PathVariable.PathAccept ),
    PathVariable( "PYPKGDIR", "The directory where the python modules get installed.",
        distutils.sysconfig.get_python_lib( prefix="$PREFIX" ), PathVariable.PathAccept ),
    PathVariable( "UDEVDIR", "Overwrite the directory where udev rules are installed to.", "/lib/udev/rules.d/", PathVariable.PathAccept ),
    BoolVariable( "ENABLE_BEBOB", "Enable/Disable support for the BeBoB platform.", True ),
    BoolVariable( "ENABLE_FIREWORKS", "Enable/Disable support for the ECHO Audio FireWorks platform.", True ),
    BoolVariable( "ENABLE_OXFORD", "Enable/Disable support for the Oxford Semiconductor FW platform.", True ),
    BoolVariable( "ENABLE_MOTU", "Enable/Disable support for the MOTU platform.", True ),
    BoolVariable( "ENABLE_DICE", "Enable/Disable support for the TCAT DICE platform.", True ),
    BoolVariable( "ENABLE_METRIC_HALO", "Enable/Disable support for the Metric Halo platform.", False ),
    BoolVariable( "ENABLE_RME", "Enable/Disable support for the RME platform.", True ),
    BoolVariable( "ENABLE_DIGIDESIGN", "Enable/Disable support for Digidesign interfaces.", False ),
    BoolVariable( "ENABLE_BOUNCE", "Enable/Disable the BOUNCE device.", False ),
    BoolVariable( "ENABLE_GENERICAVC", """\
Enable/Disable the the generic avc part (mainly used by apple).
  Note that disabling this option might be overwritten by other devices needing
  this code.""", False ),
    BoolVariable( "ENABLE_ALL", "Enable/Disable support for all devices.", False ),
    BoolVariable( "SERIALIZE_USE_EXPAT", "Use libexpat for XML serialization.", False ),
    EnumVariable( "BUILD_DOC", "Build API documentation", 'none', allowed_values=('all', 'user', 'none'), ignorecase=2),
    EnumVariable( "BUILD_MIXER", "Build the ffado-mixer", 'auto', allowed_values=('auto', 'true', 'false'), ignorecase=2),
    BoolVariable( "BUILD_TESTS", """\
Build the tests in their directory. As some contain quite some functionality,
  this is on by default.
  If you just want to use ffado with jack without the tools, you can disable this.\
""", True ),
    BoolVariable( "BUILD_STATIC_TOOLS", "Build a statically linked version of the FFADO tools.", False ),
    EnumVariable('DIST_TARGET', 'Build target for cross compiling packagers', 'auto', allowed_values=('auto', 'i386', 'i686', 'x86_64', 'powerpc', 'powerpc64', 'none' ), ignorecase=2),
    BoolVariable( "ENABLE_OPTIMIZATIONS", "Enable optimizations and the use of processor specific extentions (MMX/SSE/...).", False ),
    BoolVariable( "DETECT_USERSPACE_ENV", "Try to detect the user space environment and add necessary 32/64 bit machine flags.", True ),
    BoolVariable( "PEDANTIC", "Enable -Werror and more pedantic options during compile.", False ),
    BoolVariable( "CUSTOM_ENV", "Respect CC, CXX, CFLAGS, CXXFLAGS and LDFLAGS.\nOnly meant for distributors and gentoo-users who want to over-optimize their build.\n Using this is not supported by the ffado-devs!", False ),
    ( "COMPILE_FLAGS", "Deprecated (use CFLAGS and CXXFLAGS with CUSTOM_ENV=True instead).  Add additional flags to the environment.\nOnly meant for distributors and gentoo-users who want to over-optimize their build.\n Using this is not supported by the ffado-devs!" ),
    EnumVariable( "ENABLE_SETBUFFERSIZE_API_VER", "Report API version at runtime which includes support for dynamic buffer resizing (requires recent jack).", 'auto', allowed_values=('auto', 'true', 'false', 'force'), ignorecase=2),
    ("PYTHON_INTERPRETER", "Python interpreter to be used by FFADO installation.", "/usr/bin/python"),

    )

## Load the builders in config
buildenv=os.environ

env = Environment( tools=['default','scanreplace','pyuic','pyuic4','pyuic5','dbus','doxygen','pkgconfig'], toolpath=['admin'], ENV = buildenv, options=opts )

custom_flags = False

if 'COMPILE_FLAGS' in env and len(env['COMPILE_FLAGS']) > 0:
    print("The COMPILE_FLAGS option is deprecated. Use CFLAGS and CXXFLAGS with CUSTOM_ENV=True instead")
    custom_flags = True
    env.MergeFlags(env['COMPILE_FLAGS'])

if env['CUSTOM_ENV']:
    custom_flags = True

    # Honour the user choice of compiler (if any).
    if 'CC' in os.environ and len(os.environ['CC']) > 0:
        env['CC'] = os.environ['CC']
    if 'CXX' in os.environ and len(os.environ['CXX']) > 0:
        env['CXX'] = os.environ['CXX']

    # Honour the user supplied flags (if any), but notify the user that this is not supported.
    if 'CFLAGS' in os.environ and len(os.environ['CFLAGS']) > 0:
        env.Append(CFLAGS = str(os.environ['CFLAGS'].replace('\"', '')))
    if 'CXXFLAGS' in os.environ and len(os.environ['CXXFLAGS']) > 0:
        env.Append(CXXFLAGS = str(os.environ['CXXFLAGS'].replace('\"', '')))
    if 'LDFLAGS' in os.environ and len(os.environ['LDFLAGS']) > 0:
        env.Append(LINKFLAGS = str(os.environ['LDFLAGS'].replace('\"', '')))

if custom_flags:
    print('''
 * Usage of additional flags is not supported by the ffado-devs.
 * Use at own risk!
 *
 * Flags in use:
 *   CC = %s
 *   CXX = %s
 *   CFLAGS = %s
 *   CXXFLAGS = %s
 *   LDFLAGS = %s
''' % (env['CC'], env['CXX'], env['CFLAGS'], env['CXXFLAGS'], env['LINKFLAGS']))

Help( """
For building ffado you can set different options as listed below. You have to
specify them only once, scons will save the last value you used and re-use
that.
To really undo your settings and return to the factory defaults, remove the
"cache"-folder and the file ".sconsign.dblite" from this directory.
For example with: "rm -Rf .sconsign.dblite cache"

Note that this is a development version! Don't complain if its not working!
See www.ffado.org for stable releases.
""" )
Help( opts.GenerateHelpText( env ) )

# make sure the necessary dirs exist
if not os.path.isdir( "cache" ):
    os.makedirs( "cache" )
if not os.path.isdir( 'cache/objects' ):
    os.makedirs( 'cache/objects' )

CacheDir( 'cache/objects' )

opts.Save( 'cache/options.cache', env )

def ConfigGuess( context ):
    context.Message( "Trying to find the system triple: " )
    ret = check_output(("/bin/sh", "admin/config.guess")).rstrip()
    context.Result( ret )
    return ret.decode()

def CheckForApp( context, app ):
    context.Message( "Checking whether '" + app + "' executes " )
    ret = context.TryAction( app )
    context.Result( ret[0] )
    return ret[0]

def CheckForPyModule( context, module ):
    context.Message( "Checking for the python module '" + module + "' " )
    ret = context.TryAction( "$PYTHON_INTERPRETER $SOURCE", "import %s" % module, ".py" )
    context.Result( ret[0] )
    return ret[0]

def CompilerCheck( context ):
    context.Message( "Checking for a working C-compiler " )
    ret = context.TryRun( """
#include <stdio.h>

int main() {
    printf( "Hello World!" );
    return 0;
}""", '.c' )[0]
    context.Result( ret )
    if ret == 0:
        return False;
    context.Message( "Checking for a working C++-compiler " )
    ret = context.TryRun( """
#include <iostream>

int main() {
    std::cout << "Hello World!" << std::endl;
    return 0;
}""", ".cpp" )[0]
    context.Result( ret )
    return ret

def CheckPKG(context, name):
    context.Message( 'Checking for %s... ' % name )
    ret = context.TryAction('pkg-config --exists \'%s\'' % name)[0]
    context.Result( ret )
    return ret

tests = {
    "ConfigGuess" : ConfigGuess,
    "CheckForApp" : CheckForApp,
    "CheckForPyModule": CheckForPyModule,
    "CompilerCheck" : CompilerCheck,
    "CheckPKG" : CheckPKG,
}
tests.update( env['PKGCONFIG_TESTS'] )
tests.update( env['PYUIC_TESTS'] )
tests.update( env['PYUIC4_TESTS'] )

conf = Configure( env,
    custom_tests = tests,
    conf_dir = "cache/",
    log_file = 'cache/config.log' )

version_re = re.compile(r'^(\d+)\.(\d+)\.(\d+)')

def CheckJackdVer():
    print('Checking jackd version...', end='')
    popen = Popen(("which", 'jackd'), stdout=PIPE, stderr=PIPE)
    stdout, stderr = popen.communicate()
    assert popen.returncode in (0, 1), "which returned a unexpected status"
    if popen.returncode == 1:
        print("not installed")
        return None
    jackd = stdout.decode ().rstrip ()
    ret = check_output ((jackd, '--version')).decode() .rstrip ()
    ret = ret.split ('\n') [-1]; # Last line.
    ret = ret.split () [2];      # Third field.
    if not version_re.match (ret):
        print("failed to parse version")
        return None
    print (ret)

    # Trim off any "rc" (release candidate) components from the end of the
    # version string
    ret = ret.split ('rc')[0]
    ret = ret.split ('.')
    ret = map (int, ret)
    return tuple (ret)

if env['SERIALIZE_USE_EXPAT']:
    env['SERIALIZE_USE_EXPAT']=1
else:
    env['SERIALIZE_USE_EXPAT']=0

if env['ENABLE_BOUNCE'] or env['ENABLE_ALL']:
    env['REQUIRE_LIBAVC']=1
else:
    env['REQUIRE_LIBAVC']=0

if not env.GetOption('clean'):
    #
    # Check for working gcc and g++ compilers and their environment.
    #
    if not conf.CompilerCheck():
        print("\nIt seems as if your system isn't even able to compile any C-/C++-programs. Probably you don't have gcc and g++ installed. Compiling a package from source without a working compiler is very hard to do, please install the needed packages.\nHint: on *ubuntu you need both gcc- and g++-packages installed, easiest solution is to install build-essential which depends on gcc and g++.")
        Exit( 1 )

    # Check for pkg-config before using pkg-config to check for other dependencies.
    if not conf.CheckForPKGConfig():

=== debian/changelog ===
libffado (2.4.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Closes: #887846.
    Drop sconstruct.patch, applied upstream.
  * Switch watch file to format 4.
  * Remove obsolete control.in.
    The last motivation seems to be @cdbs@, now unused.
  * Remove debian/*.dirs, obsolete with recent debhelper.
  * Delete trailing whitespaces in this changelog.
  * Drop ffado.1 uninstalled Debian manpage.
  * Pass Debian build flags to scons and show them in log.
    This probably fixes #864717.
    Enable all hardening flags.
    Link with --as-needed in order to reduce dependencies.
  * Build-Dependencies: drop dh-exec (looking for a maintainer).
    Sort, drop autotools-dev, dh-buildinfo (see  2.3.0-1 and -3).
  * Also drop licensecheck, a long warning about it being unavailable
    is better than a short failure report.
  * Standards-version: 4.1.4.
  * Move ffado-debug manual page to the package providing the executable.
    Break/Replace accordingly.
  * Replace Debian manpages with upstream manpages when available.
    Move manpages to a subdirectory to simplify packaging.
  * Check and update the copyright file.
  * Clean all *.pyc instead of only one.
  * rules: always call scons with same arguments.
  * rules: drop makeshlib version argument.
    Redundant with "Depend: libffado2 (=${binary:Version}".
  * rules: report failures (mkdir -p, rm -f report unexpected problems).
  * Drop unneeded shlib:Depends.
    -dev does not provide binaries, mixer is arch-independent.
  * Switch to python3 and qt4.
  * Improve generation of the debug library variant.
    Split build and install steps again.
    Avoid building twice during -indep builds.
    Let the debug library be a Make target, avoiding two scons rebuilds in
    case of error in later steps.
  * Style. Drop debian/tmp/ prefix from debian/*.install.
  * Move the debug library into ffado-tools package.
    Almost no user will ever use the debug library without the ffado-debug
    wrapper, and most people installing libffado2 loose space for no purpose.
    The break/replace dependency already exists, see above.
  * .gitignore: keep upstream .gitignore untouched.
  * Lintian override explaining why ffado-tools:
    package-has-unnecessary-activation-of-ldconfig-trigger
    cannot be fixed inside ffado.
  * Minor fixes in dependencies.
    An explicit python interpreter is redundant with ${python3:Depends}.
    The 2.4.1~ snapshots should not conflict with themselves.
  * Ensure AUTHORS and README will be installed with debhelper >= 11.
    For now, debhelper automatically embeds them in every package.
  * Remove obsolete parts of debian/rules.
    DEB_CLEAN_EXCLUDE is older than the VCS.
       Without it, "rm -f $(DEB_DESTDIR)" is not needed anymore.
    DEB_PYTHON3_MODULE_PACKAGES is used for binary packages containing
       python modules, not for an executable.
    cdbs seems to create DEB_DESTDIR by itself.
    cdbs knows that reverse-config should be executed before clean.
    config.log scache.conf .sconf_temp are not created anymore.
  * Install mixer icon for desktop file. Closes: #834140.
  * Upstream has accepted to remove locale dependency from static_info.txt
    for reproducible contents, and to install it into /usr/lib.
    It may be installed into the binary packages again.

  [Felipe Sateler]
  * Change maintainer address to debian-multimedia@lists.debian.org.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 19 Apr 2018 22:03:01 +0200

libffado (2.4.0-2) unstable; urgency=medium

  * Update Vcs tags to point at salsa
  * Backport debian/control to debian/control.in
  * Regenerate debian/control

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sun, 25 Feb 2018 23:08:53 +0100

libffado (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Delete obsolete patch cpuinfo-parsing.patch
  * Delete obsolete patch dbus_with_gcc7.patch
  * Delete obsolete patch gcc6.patch
  * Delete obsolete patch gcc7.patch
  * Delete obsolete patch powerpcspe.patch
  * Delete obsolete patch x32.patch
  * Add sconstruct.patch

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sun, 25 Feb 2018 22:25:33 +0100

=== debian/control ===
Source: libffado
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Free Ekanayaka <freee@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 cdbs,
 dbus (>= 1.0.0),
# Until CDBS does support debhelper 11, see #885407.
 debhelper (>= 10),
 dh-python,
 libconfig++-dev,
 libdbus-1-dev,
 libdbus-c++-bin,
 libdbus-c++-dev,
 libexpat1-dev,
 libiec61883-dev (>= 1.1.0),
 libraw1394-dev (>= 1.3.0),
 libxml++2.6-dev,
 libxml2-dev (>= 2.6.13),
 pkg-config,
 pyqt5-dev-tools,
 python3,
 python3-dbus,
 python3-dbus.mainloop.pyqt5,
 python3-pyqt5,
 scons,
Standards-Version: 4.1.4
Section: libs
Homepage: http://www.ffado.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/ffado.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ffado

Package: libffado-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends:
 libffado2 (= ${binary:Version}),
 libxml2-dev,
 ${misc:Depends},
Description: FFADO API - development files
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the development files.

Package: libffado2
Architecture: linux-any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: FFADO API
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the shared library.

Package: ffado-tools
Section: sound
Architecture: linux-any
Depends:
 dbus (>= 1.0.0),
 libffado2 (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Replaces:
 ffado-mixer-qt4 (<< 2.0.1+svn1856-2~),
 libffado2 (<< 2.4.1~),
Breaks:
 ffado-mixer-qt4 (<< 2.0.1+svn1856-2~),
 jackd1-firewire (<< 1:0.121.3+20120418git75e3e20b-1),
 jackd2-firewire (<< 1.9.8~dfsg.3+20120418gitf82ec715-1),
 libffado2 (<< 2.4.1~),
Description: FFADO debugging and firmware tools
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the following tools for firmware updating,
 troubleshooting and debugging:
     * ffado-test-streaming
     * ffado-diag
     * ffado-test-isoxmit
     * ffado-test-isorecv
     * ffado-bridgeco-downloader
     * ffado-test
     * ffado-fireworks-downloader
     * ffado-debug

Package: ffado-dbus-server
Section: sound
Architecture: linux-any
Depends:
 dbus (>= 1.0.0),
 libffado2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: FFADO D-Bus server
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the D-Bus server that exposes the mixer
 and control interfaces through D-Bus.

Package: ffado-mixer-qt4
Section: sound
Architecture: all
Depends:
 ffado-dbus-server (>= ${source:Version}),
 ffado-tools (>= ${source:Version}),
 python3-dbus,
 python3-dbus.mainloop.pyqt5,
 python3-pyqt5,
 ${misc:Depends},
 ${python3:Depends},
Description: FFADO D-Bus mixer applets
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the mixer and control applications that
 communicate with ffado-dbus-server.
 .
 Despite the package name, the GUI has been updated.

=== debian/rules ===
#!/usr/bin/make -f
#
# Pieter Palmers <pieter.palmers@ffado.org>
#
# Robert Jordens <jordens@debian.org>
#
# This software may be used and distributed according to the terms
# of the GNU General Public License, incorporated herein by reference.
#

include /usr/share/dpkg/architecture.mk
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_CFLAGS_MAINT_APPEND := -fPIC
DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

scons := \
  $(foreach v,CC CFLAGS CPPFLAGS CXXFLAGS LDFLAGS,$(v)="$($(v))") \
  scons \
  CUSTOM_ENV=True \
  PREFIX=/usr \
  DESTDIR=$(DEB_DESTDIR) \
  LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
  SHAREDIR=/usr/share/libffado2/ \
  PYPKGDIR=/usr/share/ffado-mixer-qt4/ \
  PYTHON_INTERPRETER=/usr/bin/python3 \
  WILL_DEAL_WITH_XDG_MYSELF=1 \
  DETECT_USERSPACE_ENV=0 \
  $(patsubst parallel=%,-j%,$(filter parallel=%,$(DEB_BUILD_OPTIONS))) \
  ENABLE_OPTIMIZATION=no
common-build-arch common-build-indep::
	$(scons) DEBUG=0
common-install-arch common-install-indep::
	$(scons) DEBUG=0 install
clean::
	$(scons) --clean
	rm -rf cache
	rm -f .sconsign.dblite
	find . -name "*.pyc" -delete

binary-install/ffado-mixer-qt4 binary-install/ffado-tools:: binary-install/%:
	dh_python3 -p$*

# Two versions of the library are built and installed, see #601657.
# During architecture-dependent builds, build with debug information
# then clean so that the objects are never installed.
libdir_dbg := /usr/lib/$(DEB_HOST_MULTIARCH)/libffado2
dbg_so := debian/libffado.so.$(DEB_VERSION_UPSTREAM)

common-build-arch:: $(dbg_so)
$(dbg_so):
	$(scons) DEBUG=1
	mv src/libffado.so $(dbg_so)
	$(scons) --clean
binary-install/ffado-tools:: binary-install/%:
	sed 's|@@libdir_dbg@@|$(libdir_dbg)|' debian/ffado-debug > debian/$*/usr/bin/ffado-debug
	dh_install -p$* $(dbg_so) $(libdir_dbg)
clean::
	rm -f $(dbg_so)

## libffado 2.4.2

=== SConstruct ===
--- 
+++ 
@@ -25,7 +25,7 @@
 from __future__ import print_function
 
 FFADO_API_VERSION = "9"
-FFADO_VERSION="2.4.1"
+FFADO_VERSION="2.4.2"
 
 from subprocess import Popen, PIPE, check_output
 import os

=== debian/changelog ===
libffado (2.4.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:15:01 +0100

libffado (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix loading of Qt 5. (Closes: #941034)
  * debian/control: Bump Standards-Version.
  * debian/: Avoid trigger generation for debug build of libffado.
  * debian/copyright: Fix license for appdata.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 23 Sep 2019 21:39:37 +0200

libffado (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * Add a patch to stop using config.guess to determine the host CPU,
    instead using DEB_HOST_GNU_CPU.  Closes: #933813

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Aug 2019 01:30:48 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  python3-dbus.mainloop.pyqt5,
  python3-pyqt5,
  scons,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Section: libs
 Homepage: http://www.ffado.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/ffado.git

## libffado 2.4.4

=== SConstruct ===
--- 
+++ 
@@ -25,7 +25,7 @@
 from __future__ import print_function
 
 FFADO_API_VERSION = "9"
-FFADO_VERSION="2.4.2"
+FFADO_VERSION="2.4.4"
 
 from subprocess import Popen, PIPE, check_output
 import os

=== debian/changelog ===
libffado (2.4.4-3) unstable; urgency=medium

  * debian/control: Move build dependencies for mixer to Build-Depends-Indep
    (Closes: #980823)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Oct 2021 22:22:39 +0200

libffado (2.4.4-2) unstable; urgency=medium

  * debian/control:
    - Remove obsolete Breaks+Replaces
    - Bump Standards-Version
    - Add myself to Uploaders
    - Set RRR: no
    - Remove libexpat1-dev from Build-Depends and annotate dbus with <!nocheck>
      This addresses parts of #980823.
  * debian/: Rewrite with dh 13
  * No longer build DEBUG=1 shared library
    Building with DEBUG=1 changes the ABI of the library. Binaries installed
    in ffado-tools use parts of the ABI the changes. (Closes: #996908)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Oct 2021 21:43:22 +0200

libffado (2.4.4-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Jonas Smedegaard ]
  * remove myelf as uploader

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Jan 2021 15:13:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,34 +4,33 @@
 Uploaders:
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Free Ekanayaka <freee@debian.org>,
- Jonas Smedegaard <dr@jones.dk>,
+ Sebastian Ramacher <sramacher@debian.org>,
 Build-Depends:
- cdbs,
- dbus (>= 1.0.0),
-# Until CDBS does support debhelper 11, see #885407.
- debhelper (>= 10),
- dh-python,
+ dbus (>= 1.0.0) <!nocheck>,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  libconfig++-dev,
  libdbus-1-dev,
  libdbus-c++-bin,
  libdbus-c++-dev,
- libexpat1-dev,
  libiec61883-dev (>= 1.1.0),
  libraw1394-dev (>= 1.3.0),
  libxml++2.6-dev,
  libxml2-dev (>= 2.6.13),
  pkg-config,
+ python3,
+ scons,
+Build-Depends-Indep:
  pyqt5-dev-tools,
- python3,
  python3-dbus,
  python3-dbus.mainloop.pyqt5,
  python3-pyqt5,
- scons,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Section: libs
 Homepage: http://www.ffado.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/ffado.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ffado
+Rules-Requires-Root: no
 
 Package: libffado-dev
 Section: libdevel
@@ -72,14 +71,6 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Replaces:
- ffado-mixer-qt4 (<< 2.0.1+svn1856-2~),
- libffado2 (<< 2.4.1~),
-Breaks:
- ffado-mixer-qt4 (<< 2.0.1+svn1856-2~),
- jackd1-firewire (<< 1:0.121.3+20120418git75e3e20b-1),
- jackd2-firewire (<< 1.9.8~dfsg.3+20120418gitf82ec715-1),
- libffado2 (<< 2.4.1~),
 Description: FFADO debugging and firmware tools
  FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-fPIC

include /usr/share/dpkg/architecture.mk

FLAGS= \
			CUSTOM_ENV=True \
			PREFIX=/usr \
			DESTDIR=$(CURDIR)/debian/tmp \
			LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
			SHAREDIR=/usr/share/libffado2/ \
			MANDIR=/usr/share/man/ \
			PYPKGDIR=/usr/share/ffado-mixer-qt4/ \
			PYTHON_INTERPRETER=/usr/bin/python3 \
			WILL_DEAL_WITH_XDG_MYSELF=1 \
			DETECT_USERSPACE_ENV=0 \
			ENABLE_OPTIMIZATION=no \
			DEBUG=0

%:
	dh $@

override_dh_auto_build:
	scons $(FLAGS) $(patsubst parallel=%,-j%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

override_dh_auto_install:
	scons $(FLAGS) install

override_dh_auto_clean:
	scons $(FLAGS) --clean
	rm -rf cache
	rm -f .sconsign.dblite
	find . -name "*.pyc" -delete

## libffado 2.4.5

=== SConstruct ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Copyright (C) 2008, 2012 Jonathan Woithe
 #
 # This file is part of FFADO
-# FFADO = Free Firewire (pro-)audio drivers for linux
+# FFADO = Free FireWire (pro-)audio drivers for Linux
 #
 # FFADO is based upon FreeBoB.
 #
@@ -25,7 +25,7 @@
 from __future__ import print_function
 
 FFADO_API_VERSION = "9"
-FFADO_VERSION="2.4.4"
+FFADO_VERSION="2.4.5"
 
 from subprocess import Popen, PIPE, check_output
 import os

=== debian/changelog ===
libffado (2.4.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Sebastian Ramacher ]
  * New upstream version 2.4.5

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 26 Feb 2022 15:25:54 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
  Free Ekanayaka <freee@debian.org>,
  Sebastian Ramacher <sramacher@debian.org>,
 Build-Depends:
- dbus (>= 1.0.0) <!nocheck>,
+ dbus <!nocheck>,
  debhelper-compat (= 13),
  dh-sequence-python3,
  libconfig++-dev,
  libdbus-1-dev,
  libdbus-c++-bin,
  libdbus-c++-dev,
- libiec61883-dev (>= 1.1.0),
- libraw1394-dev (>= 1.3.0),
+ libiec61883-dev,
+ libraw1394-dev,
  libxml++2.6-dev,
- libxml2-dev (>= 2.6.13),
+ libxml2-dev,
  pkg-config,
  python3,
  scons,
@@ -66,7 +66,7 @@
 Section: sound
 Architecture: linux-any
 Depends:
- dbus (>= 1.0.0),
+ dbus,
  libffado2 (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -92,7 +92,7 @@
 Section: sound
 Architecture: linux-any
 Depends:
- dbus (>= 1.0.0),
+ dbus,
  libffado2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},

## libffado 2.4.6

=== SConstruct ===
--- 
+++ 
@@ -25,7 +25,7 @@
 from __future__ import print_function
 
 FFADO_API_VERSION = "9"
-FFADO_VERSION="2.4.5"
+FFADO_VERSION="2.4.6"
 
 from subprocess import Popen, PIPE, check_output
 import os

=== debian/changelog ===
libffado (2.4.6-1) unstable; urgency=medium

  * New upstream version 2.4.6
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 12 Jul 2022 10:43:49 +0200

## libffado 2.4.7

=== SConstruct ===
--- 
+++ 
@@ -25,7 +25,7 @@
 from __future__ import print_function
 
 FFADO_API_VERSION = "9"
-FFADO_VERSION="2.4.6"
+FFADO_VERSION="2.4.7"
 
 from subprocess import Popen, PIPE, check_output
 import os

=== debian/changelog ===
libffado (2.4.7-ok2) nile; urgency=medium

  * Fix build with python3.12: imp has been drop since python3.4 

 -- liwenjun <liwenjun@kylinos.cn>  Tue, 27 Aug 2024 11:07:11 +0800

libffado (2.4.7-ok1) yangtze; urgency=medium

  * Build for openKylin.

 -- denghao <denghao@kylinos.cn>  Mon, 20 Mar 2023 11:23:17 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,6 @@
 Source: libffado
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders:
- Adrian Knoth <adi@drcomp.erfurt.thur.de>,
- Free Ekanayaka <freee@debian.org>,
- Sebastian Ramacher <sramacher@debian.org>,
+Maintainer: Openkylin Developers <packaging@lists.openkylin.top>
 Build-Depends:
  dbus <!nocheck>,
  debhelper-compat (= 13),
@@ -25,11 +21,11 @@
  python3-dbus,
  python3-dbus.mainloop.pyqt5,
  python3-pyqt5,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: http://www.ffado.org/
-Vcs-Git: https://salsa.debian.org/multimedia-team/ffado.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/ffado
+Vcs-Git: https://gitee.com/openkylin/libffado.git
+Vcs-Browser: https://gitee.com/openkylin/libffado
 Rules-Requires-Root: no
 
 Package: libffado-dev

## libffado 2.4.9

=== SConstruct ===
--- 
+++ 
@@ -25,7 +25,7 @@
 from __future__ import print_function
 
 FFADO_API_VERSION = "9"
-FFADO_VERSION="2.4.7"
+FFADO_VERSION="2.4.9"
 
 from subprocess import Popen, PIPE, check_output
 import os
@@ -49,9 +49,10 @@
     PathVariable( "BINDIR", "Overwrite the directory where apps are installed to.", "$PREFIX/bin", PathVariable.PathAccept ),
     PathVariable( "LIBDIR", "Overwrite the directory where libs are installed to.", "$PREFIX/lib", PathVariable.PathAccept ),
     PathVariable( "INCLUDEDIR", "Overwrite the directory where headers are installed to.", "$PREFIX/include", PathVariable.PathAccept ),
-    PathVariable( "SHAREDIR", "Overwrite the directory where misc shared files are installed to.", "$PREFIX/share/libffado", PathVariable.PathAccept ),
+    PathVariable( "DATADIR", "Overwrite the directory where platform-independent files are installed to.", "$PREFIX/share", PathVariable.PathAccept ),
+    PathVariable( "SHAREDIR", "Overwrite the directory where misc shared files are installed to.", "$DATADIR/libffado", PathVariable.PathAccept ),
     PathVariable( "LIBDATADIR", "Location for architecture-dependent data.", "$LIBDIR/libffado", PathVariable.PathAccept ),
-    PathVariable( "MANDIR", "Overwrite the directory where manpages are installed", "$PREFIX/man", PathVariable.PathAccept ),
+    PathVariable( "MANDIR", "Overwrite the directory where manpages are installed", "$DATADIR/man", PathVariable.PathAccept ),
     PathVariable( "PYPKGDIR", "The directory where the python modules get installed.",
         distutils.sysconfig.get_python_lib( prefix="$PREFIX" ), PathVariable.PathAccept ),
     PathVariable( "UDEVDIR", "Overwrite the directory where udev rules are installed to.", "/lib/udev/rules.d/", PathVariable.PathAccept ),
@@ -92,7 +93,7 @@
 ## Load the builders in config
 buildenv=os.environ
 
-env = Environment( tools=['default','scanreplace','pyuic','pyuic4','pyuic5','dbus','doxygen','pkgconfig'], toolpath=['admin'], ENV = buildenv, options=opts )
+env = Environment( tools=['default','scanreplace','dbus','doxygen','pkgconfig'], toolpath=['admin'], ENV = buildenv, options=opts )
 
 custom_flags = False
 
@@ -209,8 +210,6 @@
     "CheckPKG" : CheckPKG,
 }
 tests.update( env['PKGCONFIG_TESTS'] )
-tests.update( env['PYUIC_TESTS'] )
-tests.update( env['PYUIC4_TESTS'] )
 
 conf = Configure( env,
     custom_tests = tests,

=== debian/changelog ===
libffado (2.4.9-1) unstable; urgency=medium

  * New upstream version 2.4.9
  * debian/control: Bump Standards-Version
  * debian/patches: Remove no longer necessary patch
  * debian/ffado-mixer-qt4.install: Use installed files

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 08 Jul 2024 23:36:17 +0200

libffado (2.4.8-2) unstable; urgency=medium

  * Team upload
  * debian/libffado-dev.docs: Update for upstream subdirectory
  * debian/copyright: Update for upstream subdirectory

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Mar 2024 15:47:04 -0400

libffado (2.4.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop configparser patch: applied in new release
  * Refresh patches
  * Specify subdirectory needed for 2.4.8 tarball

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Mar 2024 16:24:35 -0400

libffado (2.4.7-3) unstable; urgency=medium

  * Team upload
  * Add 2 patches to fix build with Python 3.12

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Mar 2024 08:46:27 -0400

libffado (2.4.7-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Move udev files from /lib to /usr/lib, including protective diversion
    against Multi-Arch: same file loss scenario (DEP17 P7 M10). (Closes:
    #1056915)

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Dec 2023 13:19:27 +0100

libffado (2.4.7-1) unstable; urgency=medium

  * New upstream version 2.4.7

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 02 Dec 2022 22:00:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,10 @@
 Source: libffado
 Priority: optional
-Maintainer: Openkylin Developers <packaging@lists.openkylin.top>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Adrian Knoth <adi@drcomp.erfurt.thur.de>,
+ Free Ekanayaka <freee@debian.org>,
+ Sebastian Ramacher <sramacher@debian.org>,
 Build-Depends:
  dbus <!nocheck>,
  debhelper-compat (= 13),
@@ -13,7 +17,7 @@
  libraw1394-dev,
  libxml++2.6-dev,
  libxml2-dev,
- pkg-config,
+ pkgconf,
  python3,
  scons,
 Build-Depends-Indep:
@@ -21,11 +25,11 @@
  python3-dbus,
  python3-dbus.mainloop.pyqt5,
  python3-pyqt5,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Section: libs
 Homepage: http://www.ffado.org/
-Vcs-Git: https://gitee.com/openkylin/libffado.git
-Vcs-Browser: https://gitee.com/openkylin/libffado
+Vcs-Git: https://salsa.debian.org/multimedia-team/ffado.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ffado
 Rules-Requires-Root: no
 
 Package: libffado-dev

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 			PREFIX=/usr \
 			DESTDIR=$(CURDIR)/debian/tmp \
 			LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+			UDEVDIR=/usr/lib/udev/rules.d/ \
 			SHAREDIR=/usr/share/libffado2/ \
 			MANDIR=/usr/share/man/ \
 			PYPKGDIR=/usr/share/ffado-mixer-qt4/ \

## libffado 2.5.0

=== SConstruct ===
--- 
+++ 
@@ -25,7 +25,7 @@
 from __future__ import print_function
 
 FFADO_API_VERSION = "9"
-FFADO_VERSION="2.4.9"
+FFADO_VERSION="2.5.0"
 
 from subprocess import Popen, PIPE, check_output
 import os

=== debian/changelog ===
libffado (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * debian/control:
    - Bump Standards-Version
    - Drop RRR: no

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 09 Jan 2026 15:58:07 +0100

libffado (2.4.9-3) unstable; urgency=medium

  * debian/: Use expat instead of libxml++ for serialization (Closes:
    #1121319)
  * debian/control:
    - Require a session bus (Closes: #1122619)
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 19 Dec 2025 13:45:09 +0100

libffado (2.4.9-2) unstable; urgency=medium

  * Team upload
  * Add missing B-D python3-setuptools (Closes: #1080633)

 -- Bastian Germann <bage@debian.org>  Sat, 08 Mar 2025 11:08:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,31 +6,31 @@
  Free Ekanayaka <freee@debian.org>,
  Sebastian Ramacher <sramacher@debian.org>,
 Build-Depends:
- dbus <!nocheck>,
+ default-dbus-session-bus | dbus-session-bus <!nocheck>,
  debhelper-compat (= 13),
  dh-sequence-python3,
  libconfig++-dev,
  libdbus-1-dev,
  libdbus-c++-bin,
  libdbus-c++-dev,
+ libexpat1-dev,
  libiec61883-dev,
  libraw1394-dev,
- libxml++2.6-dev,
  libxml2-dev,
  pkgconf,
  python3,
+ python3-setuptools,
  scons,
 Build-Depends-Indep:
  pyqt5-dev-tools,
  python3-dbus,
  python3-dbus.mainloop.pyqt5,
  python3-pyqt5,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Section: libs
 Homepage: http://www.ffado.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/ffado.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ffado
-Rules-Requires-Root: no
 
 Package: libffado-dev
 Section: libdevel
@@ -66,7 +66,7 @@
 Section: sound
 Architecture: linux-any
 Depends:
- dbus,
+ default-dbus-session-bus | dbus-session-bus,
  libffado2 (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -92,7 +92,7 @@
 Section: sound
 Architecture: linux-any
 Depends:
- dbus,
+ default-dbus-session-bus | dbus-session-bus,
  libffado2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,8 @@
 			WILL_DEAL_WITH_XDG_MYSELF=1 \
 			DETECT_USERSPACE_ENV=0 \
 			ENABLE_OPTIMIZATION=no \
-			DEBUG=0
+			DEBUG=0 \
+			SERIALIZE_USE_EXPAT=1
 
 %:
 	dh $@
